Skip to main content
Back to API List Returns the status of FAQ training.
PropertyValue
MethodGET
Endpointhttps://{{host}}/api/public/bot/{{BotID}}/faqs/train/status?language={{Lang}}&state={{state}}
Content Typeapplication/json
Authorizationauth: {{JWT}} — See How to generate the JWT Token.
API ScopeApp Builder: Train FAQ; Admin Console: Test and Train > Train FAQ

Path Parameters

ParameterDescriptionRequired
hostThe environment URL. For example, https://platform.kore.aiRequired
BotIdBot ID or Stream ID, accessible under General Settings on the App Builder.Required
languageThe bot language code. For example, en for English and de for German.Required
stateThe bot state: configured for the In-Development version, published for the Published version. Defaults to configured.Optional

Sample Request

curl -X GET \
  'https://{{host}}/api/public/bot/{{bot_id}}/faqs/train/status?language=en' \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -H 'content-type: application/json'

Body Parameters

No body parameters are passed.

Sample Response

Successful training:
{
    "_id": "5dxxxxxxxxxxxxxxxxxxxxxx",
    "message": "Success",
    "status": "success",
    "__v": 0,
    "modifiedOn": "2019-06-27T12:07:30.898Z",
    "lastModifiedBy": "u-5xxxxxxd-bxx1-5xx0-axx8-2exxxxxxxxxx"
}
Training in progress:
{
    "_id": "5dxxxxxxxxxxxxxxxxxxxxxx",
    "message": "in-progress",
    "status": "in-progress",
    "__v": 0,
    "modifiedOn": "2019-06-27T12:07:30.898Z",
    "lastModifiedBy": "u-5xxxxxxd-bxx1-5xx0-axx8-2exxxxxxxxxx"
}
Failed training:
{
    "_id": "5dxxxxxxxxxxxxxxxxxxxxxx",
    "message": "failure",
    "status": "failure",
    "__v": 0,
    "modifiedOn": "2019-06-27T12:07:30.898Z",
    "lastModifiedBy": "u-5xxxxxxd-bxx1-5xx0-axx8-2exxxxxxxxxx"
}